Đến nội dung


Hình ảnh

Hatch Scale Khác Nhau Ở 2 Bản Vẽ


  • Please log in to reply
3 replies to this topic

#1 jangzang

jangzang

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 May 2016 - 09:46 AM

Em làm bộ HS hoàn công phải HATCH nhiều vùng diện tích khác nhau, e sưu tầm, cắt ghép được 1 bộ Lisp HATCH riêng. Có điều là khi sử dụng cùng với Scale như nhau nhưng 2 bản vẽ lại thể hiện khác nhau

Các bác xem dùm e đây là lỗi gì ạ

trong hình là 1 loại HATCH cùng Scale ở 2 bản vẽ khác nhau

152629_untitled.png

 

Còn đây là bản vẽ

http://www.cadviet.c...29_hatch_to.dwg

http://www.cadviet.c...9_hatch_nho.dwg

 

Em xin cảm ơn nhiều!


  • 0

#2 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 31 May 2016 - 11:09 AM

Dự là UNITS


  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#3 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 31 May 2016 - 02:27 PM

Cái này là do biến MEASUREMENT, do khi tạo file bạn chọn acadiso.dwt hay acad.dwt thì units sẽ là english hay metric.

Nếu bạn muốn sửa lại theo cái hatch to thi dùng lisp này xem sao.

(defun c:hat ()
(setvar 'measurement 1)
(foreach x (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget "X" '((0 . "hatch"))))))
(command "-hatchedit" x "" "p"  "" (cdr (assoc 41 (entget x))) "" )
)
)


  • 1

#4 jangzang

jangzang

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 May 2016 - 03:16 PM

 

Cái này là do biến MEASUREMENT, do khi tạo file bạn chọn acadiso.dwt hay acad.dwt thì units sẽ là english hay metric.

Nếu bạn muốn sửa lại theo cái hatch to thi dùng lisp này xem sao.

(defun c:hat ()
(setvar 'measurement 1)
(foreach x (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget "X" '((0 . "hatch"))))))
(command "-hatchedit" x "" "p"  "" (cdr (assoc 41 (entget x))) "" )
)
)

 

Đúng ý em rồi ạ, cảm ơn bác nhiều


  • 0